/*
*  @description: 工作流公共方法
  @Modifier: haoFx
  @routerPath:
  @date: 2020/4/1-9:28*/
export const workCommonMixins = {
  data() {
    return {
      userType: '', // 判断审核人否是单用户 00否 01是
      processNode: {}, // 节点信息
      passNode: {}, // 正常节点通过节点id
      noPassNode: {}, // 正常节点驳回节点id
      gatewayType: '', // 是否遇到网关 01是  00 否
      isCreateUser: '', // 是否指定人员01指定  00不指定
      isArtificial: '' // 是否人工 智能
    }
  },
  methods: {
    // 工作流节点信息
    processNodeData(processNode) {
      this.processNode = processNode
    },
    // 审核人是否是单用户 00否 01是
    isSingleUser(userType) {
      this.userType = userType
    },
    // 接受子组件传值-----审核人信息
    processInitData(data) {
      this.processInitDto = data
    },
    // 节点信息（审批没有网关）
    conditionExpression(passNode, noPassNode) {
      this.passNode = passNode // 通过节点id
      this.noPassNode = noPassNode // 驳回节点id
    },
    // 是否遇到网关 01是  00 否
    isGateway(gatewayType) {
      this.gatewayType = gatewayType
    },
    // 流程配置
    getActModeUser(data) {
      this.isCreateUser = data.isCreateUser // 是否指定人员01指定  00不指定
      this.isArtificial = data.isArtificial // 是否 00人工  01智能
    }
  }
}
